GtriggerInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.GtriggerInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class GtriggerInfo

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.galerts.server.session.GtriggerInfo

All Implemented Interfaces:
  java.io.Serializable

    public class GtriggerInfo

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `GtriggerInfo()`

Method Summary
`ConfigResponse` | `getConfig()`
`protected Crispo` | `getConfigCrispo()`
`protected int` | `getListIndex()`
`ExecutionStrategyInfo` | `getStrategy()`
`Gtrigger` | `getTrigger()`
`protected GtriggerTypeInfo` | `getTypeInfo()`
`protected void` | `setConfigCrispo(Crispo config)`
`protected void` | `setListIndex(int listIndex)`
`protected void` | `setStrategy(ExecutionStrategyInfo strategy)`
`protected void` | `setTypeInfo(GtriggerTypeInfo typeInfo)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GtriggerInfo

    protected GtriggerInfo()

Method Detail

### getTypeInfo

    protected GtriggerTypeInfo getTypeInfo()

### setTypeInfo

    protected void setTypeInfo(GtriggerTypeInfo typeInfo)

### getTrigger

    public Gtrigger getTrigger()

### getConfigCrispo

    protected Crispo getConfigCrispo()

### setConfigCrispo

    protected void setConfigCrispo(Crispo config)

### getConfig

    public ConfigResponse getConfig()

### getStrategy

    public ExecutionStrategyInfo getStrategy()

### setStrategy

    protected void setStrategy(ExecutionStrategyInfo strategy)

### setListIndex

    protected void setListIndex(int listIndex)

### getListIndex

    protected int getListIndex()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.